Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.vfs
Class VFSPermission

    java.lang.Object
      com.sshtools.daemon.vfs.VFSPermission

public class VFSPermission
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`VFSPermission(java.lang.String name)` Creates a new VFSPermission object.
`VFSPermission(java.lang.String name, java.lang.String permissions)` Creates a new VFSPermission object.

Method Summary
`boolean` | `canExecute()` DOCUMENT ME!
`boolean` | `canRead()` DOCUMENT ME!
`boolean` | `canWrite()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`java.lang.String` | `getPermissions()` DOCUMENT ME!
`void` | `setPermissions(java.lang.String permissions)` DOCUMENT ME!
`boolean` | `verifyPermissions(java.lang.String permissions)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSPermission

    public VFSPermission(java.lang.String name,
                         java.lang.String permissions)

  Creates a new VFSPermission object.

Parameters:
  `name` - DOCUMENT ME!
  `permissions` - DOCUMENT ME!

### VFSPermission

    public VFSPermission(java.lang.String name)

  Creates a new VFSPermission object.

Parameters:
  `name` - DOCUMENT ME!

Method Detail

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPermissions

    public void setPermissions(java.lang.String permissions)

  DOCUMENT ME!

  Parameters:
    `permissions` - DOCUMENT ME!

### getPermissions

    public java.lang.String getPermissions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### verifyPermissions

    public boolean verifyPermissions(java.lang.String permissions)

  DOCUMENT ME!

  Parameters:
    `permissions` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### canRead

    public boolean canRead()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### canWrite

    public boolean canWrite()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### canExecute

    public boolean canExecute()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD